Subject: bug#3286: NS hang in event handling

From: David Reitter <[email-masked]>
Date: Tue, 17 May 2016 14:12:08 -0400

Alan,

We are seeing 100% CPU use quite a lot with the latest OS X, but it will still react sometimes.  This may or may not be the same bug.

I don’t have cycles to look into this old bug report again now, and I haven’t figured out much with the 100% CPU use bug.

My guess is that it’s most productive to try to investigate the newest bugs first while they are still easier to reproduce for the reporter.

- David

> On May 17, 2016, at 2:02 PM, Alan Third <[email-masked]> wrote:
> 
> David Reitter <[email-masked]> writes:
> 
>> I can reproduce a hang (C-g doesn't work) pretty reliably in a current
>> build (NS port, on OS X 10.5.7) using this recipe:
>> 
>> [Prerequisite: ESS must be installed]
>> 
>> Emacs -q  (actually, Aquamacs)
>> 
>> Evaluate the bit of code shown at the bottom of this e-mail
>> 
>> C-x b test-buffer RET
>> M-x R-mode RET
>> M-x R RET  ;; to open an R process
>> 
>> then switch back to test-buffer and start typing randomly.  I don't
>> need to type much to reproduce this.
>> Emacs wil hang and not react to anything except changing faces when
>> the mouse cursor is moved over text with `mouse-face' properties.
> 
> Hi David, are you still getting this in Emacs 25? I don't seem to have
> the required bits and pieces to test it myself, but can probably get
> them. I've no idea what ESS is, though.
> 
> -- 
> Alan Third